package com.example.iot_controlhost.utils.mainboard;

/**
 * @Description 主板API父类
 * @Author DuanKaiji
 * @CreateTime 2024年01月05日 14:33:23
 */
public abstract class API {
    /**
     * 初始化
     * 持续喂狗
     */
    public abstract void init();

    /**
     * 关机
     */
    public abstract void shutDown();

    /**
     * 重启
     */
    public abstract void reBoot();

    /**
     * 看门狗-喂狗
     */
    public abstract void feed();
}
